%PDF-1.4 %Óëéá 1 0 obj <> endobj 3 0 obj <> endobj 4 0 obj <
| Server IP : 212.252.79.165 / Your IP : 216.73.217.172 [ Web Server : Apache System : Linux 212-252-79-165.cprapid.com 5.15.0-153-generic #163-Ubuntu SMP Thu Aug 7 16:37:18 UTC 2025 x86_64 User : cehaburo ( 1001) PHP Version : 8.1.33 Disable Function : exec,passthru,shell_exec,system Domains : 48 Domains MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : ON | Sudo : ON | Pkexec : ON Directory : /home/cehaburo/public_html/images/product/anon_sym/anon/lib/cryptsetup/scripts/ |
Upload File : |
#!/bin/sh
# Why not use "openct-tool rwait" instead of polling opensc-tool exit status?
# Well openct daemon has to be running which interferes with pcscd since both
# implement reader drivers, my particular CCID reader (SCM SCR331-LC1) doesn't
# work with the CCID driver in openct, however it does work with pcscd.
# Why not use "opensc-tool --wait" instead of polling opensc-tool exit status?
# Although opensc-tool --help reports that there is a --wait option, it doesn't
# seem to be implemented.
check_card() {
cardfound=0
if /usr/bin/opensc-tool -n >/dev/null 2>&1; then
cardfound=1
fi
}
wait_card() {
check_card
if [ $cardfound = 0 ] ; then
echo "Waiting for Smart Card..." >&2
tries=0
while [ $cardfound = 0 ] && [ $tries -lt 60 ] ; do
sleep 1
check_card
tries=$(($tries + 1))
done
if [ $cardfound = 0 ] ; then
echo 'Failed to find Smart Card card!' >&2
exit 1
fi
fi
}
wait_card
if [ -x /bin/plymouth ] && plymouth --ping; then
# Get pin number from plymouth
/usr/bin/pkcs15-crypt --decipher --input "$1" --pkcs1 --raw \
--pin "$(plymouth ask-for-password --prompt "Enter pin for $CRYPTTAB_NAME: ")"
else
# Get pin number from console
/usr/bin/pkcs15-crypt --decipher --input "$1" --pkcs1 --raw </dev/console 2>/dev/console
fi
exit $?